Bug 966049 - Having some metadata symlinks existing under specific versions but not having target file existing
Having some metadata symlinks existing under specific versions but not having...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Hiro Asari
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 07:07 EDT by Xiaoli Tian
Modified: 2015-05-14 19:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 18:54:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaoli Tian 2013-05-22 07:07:14 EDT
Description of problem:
#cd /var/lib/openshift/.cartridge_repository/redhat-ruby/0.0.1/versions/1.8
# ls -lh metadata 
lrwxrwxrwx. 1 root root 19 May 22 00:26 metadata -> ../shared/metadata/

But ../shared/metadata does not exist:
1.8]# ls -lh ../shared/metadata
ls: cannot access ../shared/metadata: No such file or directory


This happens for all cartridges which having versions directory.

Version-Release number of selected component (if applicable):
devenv_3258

How reproducible:
Always

Steps to Reproduce:
1.Login to devenv
2.Check the cartridge directory 
.#cd /var/lib/openshift/.cartridge_repository/redhat-ruby/0.0.1/versions/1.8
# ls -lh metadata 
lrwxrwxrwx. 1 root root 19 May 22 00:26 metadata -> ../shared/metadata/

Actual results:
There are some symlinks without target file existing

Expected results:
The symlinks should be removed as well if it's not needed.

Additional info:
Comment 1 Hiro Asari 2013-07-22 13:52:09 EDT
This should no longer be a problem.

Result from devenv_3525:

[root@ip-10-33-6-153 git]# ls -l /var/lib/openshift/.cartridge_repository/redhat-ruby/0.0.4/versions/1.*
/var/lib/openshift/.cartridge_repository/redhat-ruby/0.0.4/versions/1.8:
total 8
drwxr-xr-x. 3 root root 4096 Jul 21 10:21 etc
drwxr-xr-x. 3 root root 4096 Jul 21 10:21 template

/var/lib/openshift/.cartridge_repository/redhat-ruby/0.0.4/versions/1.9:
total 8
drwxr-xr-x. 3 root root 4096 Jul 21 10:21 etc
drwxr-xr-x. 3 root root 4096 Jul 21 10:21 template
Comment 2 Xiaoli Tian 2013-07-23 01:07:48 EDT
This should have been fixed, tested it on devenv_3450:

[root@ip-10-164-92-86 .cartridge_repository]# ls -lh redhat-*/*/versions/*/metadata
redhat-python/0.0.2/versions/2.6/metadata:
total 4.0K
-rw-r--r--. 1 root root 754 Jul 22 22:49 jenkins_shell_command.erb

redhat-python/0.0.2/versions/2.7/metadata:
total 8.0K
-rw-r--r--. 1 root root 804 Jul 22 22:49 jenkins_shell_command.erb
-rw-r--r--. 1 root root 221 Jul 22 22:49 rsync.excludes

redhat-python/0.0.2/versions/3.3/metadata:
total 8.0K
-rw-r--r--. 1 root root 824 Jul 22 22:49 jenkins_shell_command.erb
-rw-r--r--. 1 root root  73 Jul 22 22:49 rsync.excludes

Note You need to log in before you can comment on or make changes to this bug.